Subject: Re: bug#72691: Recursive descent in treesiter parse tree

From: Pranshu Sharma <[email-masked]>
Date: Mon, 19 Aug 2024 00:57:54 +1000

Ok, I found the solution: you have to capture  witha function and traverse
the whole tree recursively

On Sun, 18 Aug 2024, 7:24 pm Eli Zaretskii, <[email-masked]> wrote:

> > From: Pranshu Sharma <[email-masked]>
> > Date: Sun, 18 Aug 2024 14:57:10 +1000
> >
> > I am trying to write a major mode in which all instances of a node in
> another matched node. For this, recursion
> > is needed, and for that it is necessary to store a match in a variable:
> > Say I want to highlight all instances of (x) that are inside y in the
> following parse tree, where bolded means I
> > want to match:
> > (x) in (q (y (x) (l (x) (l (x) (p))) (x))
> >
> > "(y) @test
> >         @test . (_) @font-lock-variable-name-face"
> > "(y) @test
> >         (@test . (_) @font-lock-variable-name-face)"
> > "(y) @test
> >         (test . (_) @font-lock-variable-name-face)"
> >
> > All of the above fail, which leads me to think that @test stores the
> text instead of the tree. In this case, how
> > would I recursively match all instances of
>
> Adding Yuan.
>